# class ListProgress | List view in the UIServer. More...
Internal Use Only
Definition | `#include <uiserver.h>`
Inherits | KListView (kdeui) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum ListProgressFields { TB_OPERATION = 0, TB_LOCAL_FILENAME = 1, TB_RESUME = 2, TB_COUNT = 3, TB_PROGRESS = 4, TB_TOTAL = 5, TB_SPEED = 6, TB_REMAINING_TIME = 7, TB_ADDRESS = 8 }

#### Public Methods

- ListProgress (QWidget *parent = 0, const char *name = 0 )
- virtual ~ListProgress ()

#### Public Members

- friend class ProgressItem

#### Protected Methods

- void readConfig ()
- void writeConfig ()

#### Protected Members

- int lv_operation
- int lv_filename
- int lv_resume
- int lv_count
- int lv_progress
- int lv_size
- int lv_speed
- int lv_remaining
- int lv_url

## Detailed Description

List view in the UIServer.

ListProgress (QWidget *parent = 0, const char *name = 0 ) | ### ListProgress

~ListProgress () | ### ~ListProgress

[virtual]

enum ListProgressFields { TB_OPERATION = 0, TB_LOCAL_FILENAME = 1, TB_RESUME = 2, TB_COUNT = 3, TB_PROGRESS = 4, TB_TOTAL = 5, TB_SPEED = 6, TB_REMAINING_TIME = 7, TB_ADDRESS = 8 } | ### ListProgressFields

Field constants

friend class ProgressItem | ### ProgressItem

void readConfig () | ### readConfig

[protected]

void writeConfig () | ### writeConfig

[protected]

int lv_operation | ### lv_operation

[protected]

int lv_filename | ### lv_filename

[protected]

int lv_resume | ### lv_resume

[protected]

int lv_count | ### lv_count

[protected]

int lv_progress | ### lv_progress

[protected]

int lv_size | ### lv_size

[protected]

int lv_speed | ### lv_speed

[protected]

int lv_remaining | ### lv_remaining

[protected]

int lv_url | ### lv_url

[protected]

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:36 2001, using kdoc 2.0a53.